Change file name
curl --request PUT \
--url https://flow.seekr.com/v1/flow/files/{file_id}/rename \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_filename": "<string>"
}
'import requests
url = "https://flow.seekr.com/v1/flow/files/{file_id}/rename"
payload = { "new_filename": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_filename: '<string>'})
};
fetch('https://flow.seekr.com/v1/flow/files/{file_id}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"bytes": 123,
"created_by": "<string>",
"original_file_id": "<string>",
"deleted": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Change file name
Update the display name of an existing file.
PUT
/
v1
/
flow
/
files
/
{file_id}
/
rename
Change file name
Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
Body
application/json
Response
Success
Files API response type
Allowed value:
"file"Available options:
jsonl, parquet, pt Available options:
reinforcement-fine-tune, fine-tune, preference-fine-tune, pre-train, alignment Last modified on June 18, 2026
⌘I